#ifndef DEF_UN
#define DEF_UN

#define UNFIX(x) ((x) >> 16)
#define FIX(x) ((x) << 16)
#define KEY_QUIT 0
#define KEY_THRUST 1
#define KEY_BRAKE 2
#define KEY_LEFT 3
#define KEY_RIGHT 4

/* Universe header: just a skeleton here:   */
int UN_sin(int angle);
int UN_cos(int angle);

struct OBJECT {
	int X, Y;
	int dX, dY;
	int angle;
	char *data;
	struct OBJECT *next, *prev;
	};

#endif
